\subsection{Uncertainty propagation}

The C++ code below demonstrates how the BLPTW uncertainties are
propagated to MC events, and hence can be propagated to any phase space, such as bins of a kinematic observable.
%This follows the nuisance parameter approach described in Sec.~\ref{subsec:binuncertainties}, with input from Table~\ref{tab:BLPTW12jet}.

\begin{verbatim}
// enum for QCD scale uncertainty source
enum ggF_qcdUncSource { yield=1, res=2, cut01=3, cut12=4 };

// Event weight for propagation of QCD scale uncertainty
// Three arguments: uncertainty source
// Number of truth (hadron) jets with pT>30 GeV, built excluding the Higgs decay
// Number of sigma variation (+1 for "up", -1 for "down")
double getJetBinUncertaintyWeight(ggF_qcdUncSource source, double Njets30, double Nsig=+1.0) {

  // Cross sections for =0, =1, and >=2 jets of Powheg NNLOS, scaled to sigma(N3LO)
  // need to match input sample!
  static vector<double> sigNNLOPS({30.24,12.93,5.4});

  // BLPTW absolute uncertainties in pb
  static vector<double> yieldUnc({ 1.12, 0.66, 0.42});
  static vector<double> resUnc  ({ 0.03, 0.57, 0.42});
  static vector<double> cut01Unc({-1.22, 1.00, 0.21});
  static vector<double> cut12Unc({    0,-0.86, 0.86});

  int jetBin = ( Njets30 > 1 ? 2 : Njets30 );
  if ( source == yield ) return 1.0 + Nsig*yieldUnc[jetBin]/sigNNLOPS[jetBin];
  if ( source == res   ) return 1.0 + Nsig*resUnc[jetBin]/sigNNLOPS[jetBin];
  if ( source == cut01 ) return 1.0 + Nsig*cut01Unc[jetBin]/sigNNLOPS[jetBin];
  return 1.0 + Nsig*cut12Unc[jetBin]/sigNNLOPS[jetBin];
}
\end{verbatim}
